#include <bits/stdc++.h>

using namespace std;

typedef long long ll;


int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int n;
    cin >> n;
    vector<int> c(2*n);
    int br1=2*n,br2=1;
    for (int i=1; i<=2*n; i++){
        if (i==n+1){
            cout << endl;
        }
        if (i%2!=0){
            cout << br2 << " ";
            c[i]=br2++;
        }
        else{
            cout << br1 << " ";
            c[i]=br1--;
        }
    }
    return 0;
}